<?xml version='1.0' encoding='UTF-8'?>
<issues to="activemq-5.5.1-fuse-10-16" from="perfectus-activemq-5.5.1-fuse-last-release">
    <issue description="Deadlock in test BrokerNetworkwithStuckMessageTest">
        <key>AMQ-4282</key>
        <module>org.apache.activemq:activemq-core</module>
    </issue>
    <issue description="Don't restart the network bridge on race condition where respondent sends to a temp dest that has just been deleted">
        <key>AMQ-4276</key>
        <key>MB-1257</key>
        <module>org.apache.activemq:activemq-core</module>
    </issue>
    <issue description="Possible Memory-Leak as ActiveMQTempDestinations don't get deleted when ActiveMQConnection.close() is called">
        <key>AMQ-3038</key>
        <module>org.apache.activemq:activemq-core</module>
    </issue>
    <issue description="Missing Data file for plist temp store on filependingmessage queue cursor overflow">
        <key>MB-1250</key>
        <module>org.apache.activemq:activemq-core</module>
        <module>org.apache.activemq:kahadb</module>
    </issue>
    <issue description="JMS queue browser returns only page size number of messages">
        <key>AMQ-4181</key>
        <key>MB-1246</key>
        <module>org.apache.activemq:activemq-core</module>
    </issue>
    <issue description="Occasional deadlock during startup">
        <key>AMQ-3873</key>
        <key>MB-1167</key>
        <module>org.apache.activemq:activemq-core</module>
    </issue>
    <issue description="conditionalNetworkBridgeFilterFactory ignores NetworkTTL">
        <key>AMQ-4283</key>
        <key>MB-1261</key>
        <module>org.apache.activemq:activemq-core</module>
    </issue>
    <issue description="useCompression on server side specially on network of brokers">
        <key>AMQ-3787</key>
        <key>MB-1193</key>
        <module>org.apache.activemq:activemq-core</module>
    </issue>
    <issue description="Infinite TemqQueue advisory messages">
        <key>AMQ-3851</key>
        <key>MB-1226</key>
        <module>org.apache.activemq:activemq-core</module>
    </issue>
    <issue description="Build-up of unwanted messages">
        <key>AMQ-3004</key>
        <module>org.apache.activemq:activemq-core</module>
    </issue>
    <issue description="DestinationStatistics.getMessages() returns 0 after reset with messages still in queue">
        <key>AMQ-2971</key>
        <key>MB-1244</key>
        <module>org.apache.activemq:activemq-core</module>
    </issue>
    <issue description="Add optional destination suffix for the IndividualDeadLetterStrategy">
        <key>AMQ-4065</key>
        <key>MB-1219</key>
        <module>org.apache.activemq:activemq-core</module>
    </issue>
    <issue description="Consumers in Client Ack sessions can fail to ack expired messages in some cases">
        <key>AMQ-4083</key>
        <key>MB-1224</key>
        <module>org.apache.activemq:activemq-core</module>
    </issue>
    <issue description="NPE plist (temp) sparse removal - filependingmessagecursor with selector and expiry">
        <key>AMQ-4221</key>
        <key>MB-1250</key>
        <module>org.apache.activemq:activemq-core</module>
        <module>org.apache.activemq:kahadb</module>
    </issue>
    <issue description="Incorrect reporting of pendingQueueSize of durable subs after reconnect with unacked">
        <key>AMQ-3998</key>
        <key>MB-1211</key>
        <module>org.apache.activemq:activemq-core</module>
        <module>org.apache.activemq:kahadb</module>
    </issue>
    <issue description="Shutdown of broker waiting for shared fileystem lock blocks">
        <key>AMQ-3342</key>
        <module>org.apache.activemq:activemq-core</module>
    </issue>
    <issue description="Occasional Null Pointer Exception during NetworkConnector connection">
        <key>AMQ-3887</key>
        <module>org.apache.activemq:activemq-core</module>
    </issue>
    <issue description="Unsubscribing durable subs can be blocked on calls to determine store size, contending with active subs">
        <key>AMQ-3999</key>
        <key>MB-1134</key>
        <module>org.apache.activemq:activemq-core</module>
        <module>org.apache.activemq:kahadb</module>
    </issue>
    <issue description="Allow broker to evenly distribute message groups among consumers">
        <key>AMQ-2106</key>
        <key>MB-1155</key>
        <module>org.apache.activemq:activemq-core</module>
    </issue>
    <issue description="Problem with STOMP NIO + SSL">
        <key>AMQ-4095</key>
        <key>MB-1238</key>
        <module>org.apache.activemq:activemq-core</module>
    </issue>
    <issue description="limit the number of producers and consumers created by a Connection">
        <key>AMQ-3813</key>
        <module>org.apache.activemq:activemq-core</module>
    </issue>
    <issue description="Exploring JMS examples contains a duplicate type when build all examples in an IDE">
        <key>MB-1008</key>
        <module>org.apache.activemq:apache-activemq</module>
    </issue>
    <issue description="duplicate messages on Temporary Topics in network of brokers">
        <key>AMQ-3274</key>
        <module>org.apache.activemq:activemq-core</module>
    </issue>
    <issue description="Questionable processing of interruptions in TcpTransport::doStop">
        <key>AMQ-2526</key>
        <key>MB-1248</key>
        <module>org.apache.activemq:activemq-core</module>
    </issue>
    <issue description="When a producer from a network bridge is blocked by producer flow control, all producers from the network bridge get blocked.">
        <key>AMQ-3331</key>
        <key>MB-991</key>
        <module>org.apache.activemq:activemq-core</module>
    </issue>
    <issue description="Demand Forwarding Bridge uses value of asyncDispatch for advisory consumers">
        <key>AMQ-4017</key>
        <module>org.apache.activemq:activemq-core</module>
    </issue>
    <issue description="NIO+SSL Connector fails with SSL exception under high concurrency">
        <key>AMQ-4312</key>
        <module>org.apache.activemq:activemq-core</module>
    </issue>
    <issue description="Index page overflow (when a value does not fit in a page) can lead to duplicate calls to free">
        <key>AMQ-4118</key>
        <key>MB-1242</key>
        <module>org.apache.activemq:activemq-core</module>
        <module>org.apache.activemq:kahadb</module>
    </issue>
    <issue description="Memory usage incorrectly updated across network of brokers when VMTransport is used.">
        <key>AMQ-4147</key>
        <module>org.apache.activemq:activemq-core</module>
    </issue>
    <issue description="The jdbc lockKeepAlive thread should be started only if current broker instance successfully started and became a master">
        <key>AMQ-1885</key>
        <module>org.apache.activemq:activemq-core</module>
    </issue>
    <issue description="Broker configured prefetch values are lost on failover reconnect">
        <key>AMQ-4235</key>
        <key>MB-1260</key>
        <module>org.apache.activemq:activemq-core</module>
    </issue>
    <issue description="offline durable subs with selectors can lead to page leaks in the index and bloat of db.data in kahadb">
        <key>AMQ-4094</key>
        <key>MB-1231</key>
        <module>org.apache.activemq:activemq-core</module>
        <module>org.apache.activemq:kahadb</module>
    </issue>
    <issue description="Cross talk over duplex network connection can lead to blocking">
        <key>AMQ-4328</key>
        <module>org.apache.activemq:activemq-core</module>
    </issue>
    <issue description="Inactivity monitor rejected from thread pool">
        <key>AMQ-4156</key>
        <key>MB-1247</key>
        <module>org.apache.activemq:activemq-core</module>
    </issue>
    <issue description="Refactor network bridge start/stop to reduce async tasks and synchronisation - it is way to complicated atm">
        <key>AMQ-4082</key>
        <module>org.apache.activemq:activemq-core</module>
    </issue>
    <issue description="NIO+SSL Connector corrupts stream when data size exceeds SSL buffer size">
        <key>AMQ-4321</key>
        <module>org.apache.activemq:activemq-core</module>
    </issue>
    <issue description="Allow a memory limit to be configured on a temp topic">
        <key>AMQ-4091</key>
        <key>MB-1229</key>
        <module>org.apache.activemq:activemq-core</module>
    </issue>
    <issue description="Durable subscription not getting unregistered on networked broker">
        <key>AMQ-4000</key>
        <key>MB-1218</key>
        <module>org.apache.activemq:activemq-core</module>
    </issue>
    <issue description="ActiveMQConnection temp advisory consumer should use asyncDispatch - can cause deadlock with slow consumers">
        <key>AMQ-3985</key>
        <key>MB-1207</key>
        <module>org.apache.activemq:activemq-core</module>
    </issue>
    <issue description="&lt;virtualSelectorCacheBrokerPlugin/&gt; should be able to cache consumers with no selectors as well">
        <key>AMQ-4271</key>
        <key>MB-1251</key>
        <module>org.apache.activemq:activemq-core</module>
    </issue>
    <issue description="Race condition between removal of subscriptions and removal of destinations in a network of brokers">
        <key>AMQ-4196</key>
        <module>org.apache.activemq:activemq-core</module>
    </issue>
    <issue description="Static subscriptions from network bridges do not respect TTL (off by one in calculation), resulting in duplicate consumers.">
        <key>AMQ-4148</key>
        <module>org.apache.activemq:activemq-core</module>
    </issue>
    <issue description="Race condition in DemandForwardingBridgeSupport can cause remote connection to be leaked.">
        <key>AMQ-3016</key>
        <module>org.apache.activemq:activemq-core</module>
    </issue>
</issues>
